using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.Contracts
{
	public class QuestionContext
	{
		public Guid Id { get; set; }

		public string Description { get; set; } = string.Empty;

		[InverseProperty(nameof(ExamQuestion.QuestionContext))]	
		public virtual ICollection<ExamQuestion>? Questions { get; set; } = new List<ExamQuestion>();


		public QuestionContext()
		{
			Questions = new HashSet<ExamQuestion>();
		}
	}
}
